print [@

CFLAGS=@libs/sul/glib/cflags@ -I.. -DSCMDIR="\"$(LIBDIR)\""
LDFLAGS=@libs/sul/glib/ldflags@
EXE=@sys/ext_exe@

HASHOBJ=../src/3rd/genht/hash.o ../src/3rd/genht/htsp.o

gsch2pcb-rnd$(EXE): gsch2pcb.o ../src/libpcb_fp.o ../src/portability.o ../src/ds.o ../src/paths.o $(HASHOBJ)
	$(CC) gsch2pcb.o ../src/libpcb_fp.o  ../src/portability.o ../src/ds.o ../src/paths.o $(HASHOBJ)  -o gsch2pcb-rnd$(EXE) $(LDFLAGS)

gsch2pcb.o: gsch2pcb.c ../src/libpcb_fp.h ../config.h  ../config.manual.h  ../config.auto.h
	$(CC) -c $(CFLAGS) gsch2pcb.c -o gsch2pcb.o

$(HASHOBJ):
	cd ../src/3rd/genht && make

../src/portability.o:
	cd ../src && make portability.o

../src/ds.o:
	cd ../src && make ds.o

../src/libpcb_fp.o:
	cd ../src && make libpcb_fp.o

install_:
	$(MKDIR) $(BINDIR) $(LIBDIR)
	$(CPC) `pwd`/gsch2pcb-rnd$(EXE) $(BINDIR)/gsch2pcb-rnd$(EXE)
	$(CPC) `pwd`/fp2anim $(BINDIR)/fp2anim
	$(CPC) `pwd`/gnet-gsch2pcb-rnd.scm $(LIBDIR)/gnet-gsch2pcb-rnd.scm

install:
	make install_ CPC="$(CP)"

linstall:
	make install_ CPC="$(LN)"

uninstall:
	$(RM) $(BINDIR)/gsch2pcb-rnd$(EXE)
	$(RM) $(BINDIR)/fp2anim
	$(RM) $(LIBDIR)/gnet-gsch2pcb-rnd.scm


clean:

include ../Makefile.conf

@]
